// Copyright (C) 2006 Erik Dahlberg
// 
// This file is part of LSystem3d.
// 
// LSystem3D is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
// 
// LSystem3D is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with LSystem3D; if not, write to the Free Software
// Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA




#ifndef CALLBACKS_H
#define CALLBACKS_H



// GLUT callback functions
// -----------------------

/**
 * Key press
 * @param key the key
 * @param x mouse x-coordinate
 * @param y mouse y-coordinate
 */
void glutKeyboardCB(unsigned char key, int x, int y);

/**
 * Special key press
 * @param key the key
 * @param x mouse x-coordinate
 * @param y mouse y-coordinate
 */
void glutSpecialCB(int key, int x, int y);

/**
 * Redraw of screen
 */
void glutDisplayCB();

/**
 * Idling
 */
void glutIdleCB();



// GLUI callback functions
// -----------------------

/**
 * Angle changes
 * @param id not used
 */
void gluiSpinnerAngleCB(int id);

/**
 * Reset button pressed
 * @param id not used
 */
void gluiButtonResetCB(int id);

/**
 * Generate button pressed
 * @param id not used
 */
void gluiButtonGenerateCB(int id);



#endif
